summarylogtreecommitdiffstats
AgeCommit message (Collapse)Author
2022-02-221.8.2 and switched master branchZucy Oh
2022-01-17Update 1.8.1Zucy Oh
2021-07-31Updated to 1.8AwesomeHaircut
2021-07-12Added libappindicator-gtk3 as dependecyAwesomeHaircut
2021-05-04Update to v1.7.3Mateusz Gozdek
Also bring back 'libappindicator-gtk3' as optional dependency for the GUI indicator. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-03-14Move modprobe.d backup to v4l2loopback-dc-dkms packageMateusz Gozdek
As only this one installs this file and right now pacman prints a warning about this. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-03-06Update to 1.7.2Mateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-01-14Use $srcdir instead of ../..Mateusz Gozdek
To support building in isolated environments. $srcdir should point to src/ directory and it should have symlinks or copies of files specified in 'source', so things should work properly. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-01-14PKGBUILD: make use of {} consistentMateusz Gozdek
So they are used for all variables. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-01-14Update to 1.7.1 and drop dependency on libappindicator-gtk3Mateusz Gozdek
libappindicator-gtk3 is no longer needed and supported. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2021-01-13Update to 1.7Mateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-11-06Update to 1.6Mateusz Gozdek
For now without "official" support for v4l2loopback-dkms package, though it can be installed and used for testing. This is because I'm not sure yet how to deal with it as optional dependency and also while testing myself, I found it difficult to set the desired resolution, so in my opinion v4l2loopback-dc-dkms still provides a bit better UX than the other module. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-10-16Load snd-aloop module by default as wellMateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-09-30Add libappindicator-gtk3 as optional dependency for droidcamMateusz Gozdek
If one wants to run GUI version of it, then libappindicator-gtk3 is also required in addition to gtk3 package. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-09-27Update to v1.5Mateusz Gozdek
Also Drop Makefile patch which allows building with system version of libraries, as it is now part of the upstream release. Also add 'libappindicator-gtk3' as build dependency, as Droidcam will now register application indicator while running. The indicator also requires an PNG icon to be loaded from /opt/droidcam-icon.png, so we place a copy there. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-09-19Add Dockerfile and .travis.ymlMateusz Gozdek
This commit adds Dockerfile, which can simulate building the package on bare Arch Linux installation and .travis.yml file, which will tell Travis CI to build this image on every commit to make sure that the package builds properly. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-09-19Fix building if one has '.' in $PATHMateusz Gozdek
As then linux/install script from repository is used instead of /usr/bin/install, which is incorrect. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-07-06Add missing libusbmuxd build dependencyMateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-07-06Update to 1.4Mateusz Gozdek
This release added new dependency on libusbmuxd and libplist, which libusbmuxd also depends on. Upstream currenly hardcodes library name, which is different on Arch, so patch is required to keep building. Upstream patch to fix that: https://github.com/aramg/droidcam/pull/82 Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-06-06Use split package to also manage v4l2loopback-dc-dkms packageMateusz Gozdek
As they are both build from the same source. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-06-06Update to 1.3Mateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-06-06Switch url to github and use it for sourceMateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-06-01Fix downloading source of 1.2Mateusz Gozdek
Previously added release archive is not a source archive, but binary build, which I assume was mistakenly added, as git tagging of droidcam is inconsistent. 1.1 had 'v1.1' tag and 1.2 has '1.2' tag. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-05-31updated to 1.2AwesomeHaircut
2020-05-30Use make flags instead of patching the MakefileMateusz Gozdek
To use shared version of libjpeg-turbo. Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-05-30added droidcam.conf to autoload modulesRein F
2020-05-30changed zipfile nameRein F
Should now work with caching aur helpers
2020-05-29Add required runtime dependenciesMateusz Gozdek
Tested using following Dockerfile: FROM archlinux RUN pacman -Sy --noconfirm base-devel RUN useradd build RUN bash -c "echo 'build ALL=(ALL) NOPASSWD: ALL' > /etc/sudoers.d/build" COPY ./v4l2loopback-dc-dkms /home/build/src/v4l2loopback-dc-dkms WORKDIR /home/build/src/v4l2loopback-dc-dkms RUN chown build: -R /home/build/src RUN sudo -u build makepkg -scir --noconfirm COPY . /home/build/src/droidcam WORKDIR /home/build/src/droidcam RUN chown build: -R /home/build/src RUN sudo -u build makepkg -scir --noconfirm RUN bash -c 'ldd $(which droidcam) $(which droidcam-cli)' Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-05-28Update to first official GitHub release 1.1Mateusz Gozdek
Signed-off-by: Mateusz Gozdek <mgozdekof@gmail.com>
2020-05-23Updates andfor simplification by Mateusz Gozdek <mgozdekof@gmail.com>AwesomeHaircut
2020-05-04updated checksumsAwesomeHaircut
2020-04-08.SRCINFORein F
2020-04-08new sourceRein F
2020-03-28version bumpAwesomeHaircut
2020-03-28Fixed module loadingAwesomeHaircut
2020-01-16fixed /dev/video issueRein F
2020-01-16updated .SRCINFO ver and added me as contributorRein F
2020-01-16.SRCINFORein F
2020-01-16fixed source linksRein F
though I can't find a source for the new version number
2019-07-21updated to 6.7.5jesusbalbastro@gmail.com
2018-03-17updatedAwesomeHaircut
2016-12-19.SCRINFO didn't match PKGBUILD verelversionAwesomeHaircut
2016-12-19 modified: PKGBUILDAwesomeHaircut
2016-11-24Updated MD5AwesomeHaircut
2016-11-24Updating md5sumAwesomeHaircut
2016-07-27Updates by jamesanawesomehaircut
2016-03-09updated and fixed againawesomehaircut
2016-03-09updated and fixedawesomehaircut
2015-06-08import to aur4Daniel Nagy